# Uses of Interface
org.eclipse.emf.cdo.server.db.mapping.IListMapping

Packages that use IListMapping
Package
Description
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IListMapping in org.eclipse.emf.cdo.server.db.mapping

Subinterfaces of IListMapping in org.eclipse.emf.cdo.server.db.mapping
Modifier and Type
Interface
Description
`interface`
`IListMapping2`
Extension interface to `IListMapping`.
`interface`
`IListMapping3`
Extension interface to `IListMapping2`.
`interface`
`IListMappingUnitSupport`
Interface to complement `IListMapping` in order to provide unit support.
Methods in org.eclipse.emf.cdo.server.db.mapping that return IListMapping
Modifier and Type
Method
Description
`IListMapping`
IMappingStrategy.`createListMapping(EClass containingClass, EStructuralFeature feature)`
Factory for value mappings of multi-valued-attributes.
`IListMapping`
IClassMapping.`getListMapping(EStructuralFeature feature)`
Get the mapping of the many-valued feature.
Methods in org.eclipse.emf.cdo.server.db.mapping that return types with arguments of type IListMapping
Modifier and Type
Method
Description
`List<IListMapping>`
IClassMapping.`getListMappings()`